Page MenuHomeVyOS Platform

remote syslog server migration error on update
Closed, ResolvedPublic

Description

Configuration in VyOS 1.2.4:

set system syslog host 10.10.10.10:1514 facility all level 'all'

after upgrade to 1.2.5 and/or 1.2.6 cause an error in commit and the remote syslog server will not be in the running config
vyatta-commit.log:

[ system syslog host 10.10.10.10:1514 ]
Invalid host FQDN or IP address

how the configuration should look in 1.2.6:

set system syslog host 10.10.10.10 facility all level 'all'
set system syslog host 10.10.10.10 port '1514'

Details

Difficulty level
Unknown (require assessment)
Version
1.2.5, 1.2.6
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Config syntax change (migratable)

Event Timeline

rob created this task.Sep 19 2020, 6:54 PM
rob created this object in space S1 VyOS Public.
olofl added a subscriber: olofl.Sep 25 2020, 1:56 PM

I would also like to add that wouldn't it make more sense to set the protocol mode under host aswell rather behind "facility".

set system syslog host 10.10.10.10 facility all
set system syslog host 10.10.10.10 port '1514'
set system syslog host 10.10.10.10 protocol udp

instead of
set system syslog host 10.10.10.10 facility all protocol 'udp'
set system syslog host 10.10.10.10 port 1514

pasik added a subscriber: pasik.Sep 25 2020, 4:39 PM
dmbaturin added a project: Restricted Project.Sep 27 2020, 9:52 AM
dmbaturin changed Is it a breaking change? from Unspecified (possibly destroys the router) to Config syntax change (migratable).
jestabro closed this task as Resolved.Mon, Nov 16, 2:31 PM